Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.framework
Class ProcessorChain

    java.lang.Object
      org.archive.crawler.framework.ProcessorChain

    public class ProcessorChain

extends java.lang.Object

This class groups together a number of processors that logically fit together.

Author:
  John Erik Halse

Constructor Summary
`ProcessorChain(MapType processorMap)` Construct a new processor chain.

Method Summary
`Processor` | `getFirstProcessor()` Get the first processor in the chain.
`ProcessorChain` | `getNextProcessorChain()` Get the processor chain that the URI should be working through after finishing this one.
`Processor` | `getProcessor(java.lang.Class classType)` Get the first processor that is of class `classType` or a subclass of it.
`java.util.Iterator` | `iterator()` Get an iterator over the processors in this chain.
`void` | `kickUpdate()`
`void` | `setNextChain(ProcessorChain nextProcessorChain)` Set the processor chain that the URI should be working through after finishing this one.
`int` | `size()` Get the number of processors in this chain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorChain

    public ProcessorChain(MapType processorMap)

  Construct a new processor chain.

  Parameters:
    `processorMap` - a map of the processors belonging to this chain.

Method Detail

### setNextChain

    public void setNextChain(ProcessorChain nextProcessorChain)

  Set the processor chain that the URI should be working through after finishing this one.

  Parameters:
    `nextProcessorChain` - the chain that should be processed after this one.

### getNextProcessorChain

    public ProcessorChain getNextProcessorChain()

  Get the processor chain that the URI should be working through after finishing this one.

  Returns:
    the next processor chain.

### getFirstProcessor

    public Processor getFirstProcessor()

  Get the first processor in the chain.

  Returns:
    the first processor in the chain.

### getProcessor

    public Processor getProcessor(java.lang.Class classType)

  Get the first processor that is of class `classType` or a subclass of it.

  Parameters:
    `classType` - the class of the requested processor.
  Returns:
    the first processor matching the classType.

### size

    public int size()

  Get the number of processors in this chain.

  Returns:
    the number of processors in this chain.

### iterator

    public java.util.Iterator iterator()

  Get an iterator over the processors in this chain.

  Returns:
    an iterator over the processors in this chain.

### kickUpdate

    public void kickUpdate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.